/*********************************************************************
 *
 *                Microchip USB C18 Firmware Version 1.0
 *
 *********************************************************************
 * FileName:        usb.h
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         Microchip Technology, Inc.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Rawin Rojvanit       11/19/04    Original.
 * Dario Greggio        02/02/06    Ristrutturato, spostate parti USB in H e cartella comune.
 ********************************************************************/
#ifndef USB_H
#define USB_H

/*
 * usb.h provides a centralize way to include all files
 * required by Microchip USB Firmware.
 *
 * The order of inclusion is important.
 * Dependency conflicts are resolved by the correct ordering.
 */

#include "autofiles\usbcfg.h"
#include <usb\usbdefs_std_dsc.h>
#include "autofiles\usbdsc.h"

#include <usb\usbdefs_ep0_buff.h>
#include <usb\usbmmap.h>

#include <usb\usbdrv.h>
#include <usb\usbctrltrf.h>
#include <usb\usb9.h>

#if defined(USB_USE_CDC)
#include "system\usb\class\cdc\cdc.h"
#endif

#if defined(USB_USE_HID)
#include <usb\hid.h>
#endif

#endif //USB_H
