/*********************************************************************
 *
 *                Microchip USB C18 Firmware Version 1.0
 *
 *********************************************************************
 * FileName:        user.h
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         Microchip Technology, Inc.
 *
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Rawin Rojvanit       11/19/04    Original.
 ********************************************************************/

#ifndef USER_H
#define USER_H

/** P U B L I C  P R O T O T Y P E S *****************************************/
void UserInit(void);
void ProcessIO(void);

void prepOutBuffer(byte);

#define EEscrivi0(p) EEscrivi(p,0)               // scrive 0...

#define EEscrivi(a,b) { *((byte *)a)=b; EEscrivi_(a,b); }  // scrive W in RAM e EPROM...
																// entra FSR alla loc. memoria (RAM/EPROM) voluta
void EEscrivi_(SHORTPTR,byte);
byte EEleggi(SHORTPTR);
#define EEcopiaARAM(p) { *p=EEleggi(p); }
#define EEcopiaAEEPROM(p) EEscrivi_(p,*p)



#endif //USER_H
